Subject: Errata for RFC 3987

From: Martin Duerst <[email-masked]>
Date: Tue, 26 Jun 2007 14:45:14 +0900

Dear RFC Editor,

I recently found the following errata in RFC 3987.
I have copied the relevant IETF Area Directors as well as my co-author.

1) In section 3.1.,  Mapping of IRIs to URIs, there is a paragraph
   labeled "Syntaxical". This should be corrected to read "Syntactical".
   This was not part of the last draft that served as a base for the
   RFC Editor's work, and I also didn't catch it in AUTH48.
   This is a purely editorial issue.

2) There are a few cases where quoting is wrong, due to the fact that
   the RFC Editor didn't understand the syntax, and I didn't catch
   the change in AUTH48. In all cases, the final semicolon has to be
   inside the double quotes, not outside.

   Section 5.2., Preparation for Comparison:
   "http://example.org/ros&#233"; -> "http://example.org/ros&#233;"
   "http://example.org/ros&#xE9"; -> "http://example.org/ros&#xE9;"
   "http://example.org/ros&#xE9"; -> "http://example.org/ros&#xE9;"

   Section 6.4., Use of UTF-8 for Encoding Original Characters
   "&#xE9"; -> "&#xE9;"
   "http://www.example.org/r%E9sum%E9.xml#r&#xE9;sum&#xE9"; ->
      "http://www.example.org/r%E9sum%E9.xml#r&#xE9;sum&#xE9;"

   This type of error is close to editorial, but could lead to
   serious confusion if not deal with.

If you need to know something more in order to process these errata,
please feel free to ask.

Regards,    Martin.

P.S.: Please note that my email address has changed because
      my affiliation has changed.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]